aboutsummaryrefslogtreecommitdiff
path: root/.local/bin/awesome-widgets/widget-pacman_updates
diff options
context:
space:
mode:
Diffstat (limited to '.local/bin/awesome-widgets/widget-pacman_updates')
-rwxr-xr-x.local/bin/awesome-widgets/widget-pacman_updates9
1 files changed, 9 insertions, 0 deletions
diff --git a/.local/bin/awesome-widgets/widget-pacman_updates b/.local/bin/awesome-widgets/widget-pacman_updates
new file mode 100755
index 0000000..dfd21e4
--- /dev/null
+++ b/.local/bin/awesome-widgets/widget-pacman_updates
@@ -0,0 +1,9 @@
+#!/bin/sh
+
+if ! command -v yay >/dev/null 2>&1; then
+ notify-send "awesomewm widget error" "the 'yay' package is required for the widget to work."
+else
+ yay -Sy >/dev/null
+ count=$(yay -Qu | wc -l)
+ echo " 📤 $count"
+fi